Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class StyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverter

     class StyleConverter

extends ConverterHelper

This class converts OpenDocument styles to CSS2 styles.

Note that some elements in OpenDocument has attributes that also maps to CSS2 properties. Example: the width of a text box.

Also note, that some OpenDocument style properties cannot be mapped to CSS2 without creating an additional inline element.

The class uses one helper class per OpenDocument style family (paragraph, frame etc.)

Field Summary
`private CellStyleConverter` | `cellSc`
`private FrameStyleConverter` | `frameSc`
`private ListStyleConverter` | `listSc`
`private PageStyleConverter` | `pageSc`
`private ParStyleConverter` | `parSc`
`private PresentationStyleConverter` | `presentationSc`
`private RowStyleConverter` | `rowSc`
`private SectionStyleConverter` | `sectionSc`
`private TableStyleConverter` | `tableSc`
`private TextStyleConverter` | `textSc`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`StyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `StyleConverter`

Method Summary
`void` | `applyDefaultLanguage(org.w3c.dom.Element node)`
`org.w3c.dom.Node` | `exportStyles(org.w3c.dom.Document htmlDOM)`
`protected CellStyleConverter` | `getCellSc()`
`private StyleWithProperties` | `getDefaultStyle()`
`protected FrameStyleConverter` | `getFrameSc()`
`protected ListStyleConverter` | `getListSc()`
`protected PageStyleConverter` | `getPageSc()`
`protected ParStyleConverter` | `getParSc()`
`protected PresentationStyleConverter` | `getPresentationSc()`
`protected RowStyleConverter` | `getRowSc()`
`protected SectionStyleConverter` | `getSectionSc()`
`protected TableStyleConverter` | `getTableSc()`
`protected TextStyleConverter` | `getTextSc()`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getDrawCv, getMathCv, getStyleCv, getTableCv, getTextCv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textSc

    private TextStyleConverter textSc

### parSc

    private ParStyleConverter parSc

### listSc

    private ListStyleConverter listSc

### sectionSc

    private SectionStyleConverter sectionSc

### tableSc

    private TableStyleConverter tableSc

### rowSc

    private RowStyleConverter rowSc

### cellSc

    private CellStyleConverter cellSc

### frameSc

    private FrameStyleConverter frameSc

### presentationSc

    private PresentationStyleConverter presentationSc

### pageSc

    private PageStyleConverter pageSc

Constructor Detail

### StyleConverter

    public StyleConverter(OfficeReader ofr,
                          Config config,
                          Converter converter,
                          int nType)

  Create a new `StyleConverter`

Method Detail

### getTextSc

    protected TextStyleConverter getTextSc()

  Overrides:
    `getTextSc` in class `ConverterHelper`

### getParSc

    protected ParStyleConverter getParSc()

  Overrides:
    `getParSc` in class `ConverterHelper`

### getListSc

    protected ListStyleConverter getListSc()

  Overrides:
    `getListSc` in class `ConverterHelper`

### getSectionSc

    protected SectionStyleConverter getSectionSc()

  Overrides:
    `getSectionSc` in class `ConverterHelper`

### getTableSc

    protected TableStyleConverter getTableSc()

  Overrides:
    `getTableSc` in class `ConverterHelper`

### getRowSc

    protected RowStyleConverter getRowSc()

  Overrides:
    `getRowSc` in class `ConverterHelper`

### getCellSc

    protected CellStyleConverter getCellSc()

  Overrides:
    `getCellSc` in class `ConverterHelper`

### getFrameSc

    protected FrameStyleConverter getFrameSc()

  Overrides:
    `getFrameSc` in class `ConverterHelper`

### getPresentationSc

    protected PresentationStyleConverter getPresentationSc()

  Overrides:
    `getPresentationSc` in class `ConverterHelper`

### getPageSc

    protected PageStyleConverter getPageSc()

  Overrides:
    `getPageSc` in class `ConverterHelper`

### getDefaultStyle

    private StyleWithProperties getDefaultStyle()

### applyDefaultLanguage

    public void applyDefaultLanguage(org.w3c.dom.Element node)

### exportStyles

    public org.w3c.dom.Node exportStyles(org.w3c.dom.Document htmlDOM)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD